import React from "react";
import { useNavigate } from "react-router-dom";

const StatusPage = () => {
  const navigate = useNavigate();

  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>

      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] w-[1460.608px] h-[729px] flex">
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img src="/page2.svg" alt="Illustration" className="w-full h-auto" />
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[149px] left-[788px] bg-[#F9A78D] p-5 rounded-[12px] border border-orange-500 w-[610px] h-[311px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <p className="text-gray-800 font-semibold">Company Name</p>
            <p className="text-black font-bold mb-2">ABCD PVT LTD</p>

            <p className="text-gray-800 font-semibold">Company Address</p>
            <p className="text-black mb-2">
              Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
            </p>

            <p className="text-gray-800 font-semibold">Agent Details</p>
            <p className="text-black">Not Available</p>

            {/* Pending Button with Navigation */}
            <button
              onClick={() => navigate("/agent-status")}
              className="absolute top-[30px] left-[416px] text-black px-3 py-1 rounded-full text-sm border-3 w-[167px] h-[44px] flex items-center justify-center"
              style={{ border: "3px solid #FF3D00", backgroundColor: "transparent" }}
            >
              <span style={{ 
                fontFamily: 'Montserrat', 
                fontWeight: 500, 
                fontSize: '20.91px', 
                lineHeight: '100%', 
                letterSpacing: '0px' 
              }}>
                Pending
              </span>
            </button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default StatusPage;
